import globals from "globals";

import js from "@eslint/js";

export default [
    js.configs.recommended,

    {
        languageOptions: {
            ecmaVersion: 11,
            sourceType: "module",
            globals: {
                ...globals.browser,
                "$": "readonly",
                "jQuery": "readonly",
                "bootstrap": "readonly"
            }
        },

        rules: {
            "no-unused-vars": "warn",
            "no-undef": "error",
            "no-control-regex": "warn",
            "no-useless-escape": "warn",
            "no-constant-condition": "warn",
            "vars-on-top": "warn"
        }
    }
];
